Bug 1957927 - [sig-cluster-lifecycle] Cluster version operator acknowledges upgrade : timed out waiting for cluster to acknowledge upgrade
Summary: [sig-cluster-lifecycle] Cluster version operator acknowledges upgrade : timed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Jack Ottofaro
QA Contact: liujia
URL:
Whiteboard:
Depends On: 1915559
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-06 18:58 UTC by Jack Ottofaro
Modified: 2021-05-26 06:30 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1915559
Environment:
[sig-instrumentation] Prometheus when installed on the cluster shouldn't report any alerts in firing state apart from Watchdog and AlertmanagerReceiversNotConfigured [Early]
Last Closed: 2021-05-26 06:30:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26135 0 None open Bug 1957927: test/e2e/upgrade/upgrade.go: Bump upgrade ACK timeout to 4 minutes 2021-05-07 12:52:32 UTC
Red Hat Product Errata RHBA-2021:2056 0 None None None 2021-05-26 06:30:21 UTC

Comment 2 liujia 2021-05-17 02:35:10 UTC
# w3m -dump -cols 200 'https://search.ci.openshift.org/?search=timed+out+waiting+for+cluster+to+acknowledge+upgrade&maxAge=48h&context=1&type=junit&name=&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job'|grep 'failures match'

release-openshift-origin-installer-e2e-aws-upgrade-4.5-to-4.6-to-4.7-to-4.8-ci (all) - 3 runs, 100% failed, 33% of failures match = 33% impact
-> v4.5.39 which did not included the fix pr
periodic-ci-openshift-release-master-ci-4.5-upgrade-from-stable-4.4-e2e-azure-ovn-upgrade (all) - 8 runs, 88% failed, 14% of failures match = 13% impact
-> v4.4 to v4.5 upgrade
release-openshift-origin-installer-e2e-gcp-ovn-upgrade-4.5-stable-to-4.6-ci (all) - 8 runs, 100% failed, 13% of failures match = 13% impact
-> v4.5.39 which did not included the fix pr
release-openshift-origin-installer-e2e-aws-upgrade (all) - 11 runs, 18% failed, 50% of failures match = 9% impact
-> v4.5.39 which did not included the fix pr

According to above result, move the bug to verify.

Comment 5 errata-xmlrpc 2021-05-26 06:30:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.40 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2056


Note You need to log in before you can comment on or make changes to this bug.